gnome-power-manager crashed with signal 5 in _XError()

Bug #614039 reported by ajhewett on 2010-08-05
980
This bug affects 228 people
Affects Status Importance Assigned to Milestone
gnome-power
Fix Released
Critical
gnome-power-manager (Ubuntu)
High
Chris Coulson

Bug Description

Binary package hint: gnome-power-manager

hewett@cambridge:~$ lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10

hewett@cambridge:~$ apt-cache policy gnome-power-manager
gnome-power-manager:
  Installed: 2.30.1-1ubuntu3
  Candidate: 2.30.1-1ubuntu3
  Version table:
 *** 2.30.1-1ubuntu3 0
        500 http://de.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: gnome-power-manager 2.30.1-1ubuntu3
ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
Uname: Linux 2.6.35-14-generic x86_64
Architecture: amd64
Date: Thu Aug 5 22:49:07 2010
ExecutablePath: /usr/bin/gnome-power-manager
GConfNonDefault:
 /apps/gnome-power-manager/lock/blank_screen=false
 /apps/gnome-power-manager/lock/use_screensaver_settings=false
 /apps/gnome-power-manager/notify/sleep_failed_uri=
 /apps/gnome-power-manager/ui/icon_policy=charge
GnomeSessionIdleInhibited: No
GnomeSessionInhibitors: None
GnomeSessionSuspendInhibited: No
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
MachineType: System manufacturer System Product Name
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=0d4df651-5a43-4b4f-bef0-e74e703af74d ro nomodeset noplymouth vga=normal
ProcCmdline: gnome-power-manager
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 5
SourcePackage: gnome-power-manager
StacktraceTop:
 ?? () from /usr/lib/libgdk-x11-2.0.so.0
 _XError () from /usr/lib/libX11.so.6
 _XReply () from /usr/lib/libX11.so.6
 ?? () from /usr/lib/libXrandr.so.2
 ?? ()
Title: gnome-power-manager crashed with signal 5 in _XError()
UserGroups: adm admin audio cdrom dialout lpadmin mythtv plugdev sambashare video
dmi.bios.date: 01/07/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0602
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A785TD-V EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0602:bd01/07/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A785TD-VEVO:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

ajhewett (ajhewett) wrote :
ajhewett (ajhewett) on 2010-08-06
visibility: private → public
jrr (johnruble) wrote :

this happens to me, too, when trying to change backlight brightness. AMD64 10.10, macbook 5,1.

not sure how to attach the automatic dump stuff, but i can easily repro it if that'd be useful

Anders Sjölander (thezood) wrote :

This happened to me when the computer was idle, it was probably changing it's power usage.

Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
Rob Candee (rob-candee) wrote :

I got this when the machine was idle.

lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10

apt-cache policy gnome-power-manager
gnome-power-manager:
  Installed: 2.31.6-0ubuntu1
  Candidate: 2.31.6-0ubuntu1
  Version table:
 *** 2.31.6-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
N: Ignoring file 'ubuntu-tweak-stable.list.distUpgrade' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'medibuntu-ppa-lucid.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'medibuntu.list.distUpgrade' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'am-monkeyd-nautilus-elementary-ppa-lucid.list.distUpgrade' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'ubuntu-tweak-stable.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'medibuntu.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'canonical-dx-team-une-lucid.list.distUpgrade' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file 'am-monkeyd-nautilus-elementary-ppa-lucid.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension

lonniehenry (lonniehenry-gmail) wrote :

Only appears after startup as machine comes to desktop.

hiptrop (lilo5011) wrote :

appears always after starting / rebooting my lenovo R61 laptop

siggy1 (siggy1) wrote :

gnome-power-manager also crashes shortly after at desktop login on SONY VAIO E Series VPCEB1Z1E after fresh install of Maverick 10.10 Alpha 3 64-Bit

$ lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10

$ apt-cache policy gnome-power-manager
gnome-power-manager:
  Installed: 2.31.6-0ubuntu1
  Candidate: 2.31.6-0ubuntu1
  Version table:
 *** 2.31.6-0ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status

uGin (nizhibitsky) wrote :

Same on Acer Aspire 5739 after 10.10 alpha 3 32-bit boot.

$ uname -a
Linux CERN 2.6.35-15-generic #21-Ubuntu SMP Wed Aug 11 16:41:40 UTC 2010 i686 GNU/Linux
$ lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10
$ apt-cache policy gnome-power-manager
gnome-power-manager:
  Installed: 2.31.6-0ubuntu1
  Candidate: 2.31.6-0ubuntu1
  Version table:
 *** 2.31.6-0ubuntu1 0
        500 http://62.183.34.174/ru.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

Jarkko Kniivilä (jkniiv) wrote :

Same problem on an LG T1 Express Dual notebook. The machine was idling and after I unlocked the screensaver I saw the crash reporter.

jkniiv@jkniiv-t1-xprs:~$ apt-cache policy gnome-power-manager
gnome-power-manager:
  Asennettu: 2.31.6-0ubuntu1
  Ehdokas: 2.31.6-0ubuntu1
  Versiotaulukko:
 *** 2.31.6-0ubuntu1 0
        500 http://fi.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status
jkniiv@jkniiv-t1-xprs:~$ uname -a
Linux jkniiv-t1-xprs 2.6.35-15-generic #21-Ubuntu SMP Wed Aug 11 16:41:40 UTC 2010 i686 GNU/Linux
jkniiv@jkniiv-t1-xprs:~$ lsb_release -rd
Description: Ubuntu maverick (development branch)
Release: 10.10
jkniiv@jkniiv-t1-xprs:~$ apt-cache policy gnome-power-manager
gnome-power-manager:
  Asennettu: 2.31.6-0ubuntu1
  Ehdokas: 2.31.6-0ubuntu1
  Versiotaulukko:
 *** 2.31.6-0ubuntu1 0
        500 http://fi.archive.ubuntu.com/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

Jarkko Kniivilä (jkniiv) wrote :

Forgot to mention the battery in my laptop is pretty broken, holding very litl charge, which conceivably could generate a lot of spurious events for gnome-power-manager. But the machine has worked fine as a kind of desktop replacement plugged in constantly to the outlet.

Anthony Hook (anthonyhook) wrote :

$ gnome-power-manager

Gdk-ERROR **: The program 'gnome-power-manager' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAtom (invalid Atom parameter)'.
  (Details: serial 160 error_code 5 request_code 150 minor_code 15)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Trace/breakpoint trap (core dumped)

I will try and get a backtrace and see what I can report.

Anthony Hook (anthonyhook) wrote :
Anthony Hook (anthonyhook) wrote :
Pavel Mlčoch (pavkamlc) wrote :

This hapens on ThinkPad T510 after login too.

Shanmuhanathan T (shanmuha) wrote :

Happens on a Dell Vostro 1510 soon after login.

Ramesh GK (ramesh-gk) wrote :

Happens on Thinkpad W510 as well after login.

MrMacman2u (mrmacman2u-gmail) wrote :

Occurs on a Thinkpad T42 shortly after login as well.

Jean-Louis Dupond (dupondje) wrote :

I debugged this issue some more with chrisccoulson today.
A fixed version should be releases shortly.

what vga drivers are you guys using exactly?

Compal T90 clone, nvidia driver 256.44-0ubuntu1 (works with -ignoreABI), xorg 1:7.5+6ubuntu3

David Planella (dpm) wrote :

Using nouveau here, but I've also observed it on a computer with intel drivers - same symptoms: g-p-m crashes right after login

Jarkko Kniivilä (jkniiv) wrote :

Intel driver over here. Likewise xorg 1:7.5+6ubuntu3.

radeon driver on thinkpad t43 here...

Sergey Klimov (nbdarvin) wrote :

sony ar vgn 71 with nvidia blob

MrMacman2u (mrmacman2u-gmail) wrote :

Using the radeon driver on a 7500 Mobility (32mb) in a T42 Thinkpad.

Changed in gnome-power-manager (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → High
status: Confirmed → In Progress
Blaster (holst-niels) wrote :

Also affects Samsung N150 netbooks.

Changed in gnome-power:
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-power-manager - 2.31.90-0ubuntu3

---------------
gnome-power-manager (2.31.90-0ubuntu3) maverick; urgency=low

  * Fix LP: #614039 - Don't crash on systems which don't have XBACKLIGHT
    - add debian/patches/14_fix_no_xbacklight_crash.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Mon, 23 Aug 2010 11:41:38 +0100

Changed in gnome-power-manager (Ubuntu):
status: In Progress → Fix Released

is it possible the fix for this created this problem [Bug 623000]
Authentication is needed to run '/usr/sbin/gnome-power-backlight-helper' as the super user when using "Reduce backlight brightness" or "Dim display when idle" options.? the crash stopped but now have that bug present.

Chris Coulson (chrisccoulson) wrote :

No, that problem was always there, but hidden because gnome-power-manager just crashed instead.

YunQiang Su (wzssyqa) wrote :

After update, it happens still.

YunQiang Su (wzssyqa) wrote :

Hedy v510

MrMacman2u (mrmacman2u-gmail) wrote :

The update fixed the crashing problem, but now the gnome-power-backlight-helper is chronically in your face asking for authentication twice on boot up and every 10 seconds or so (two times each time) if you leave the "dim display when idle" option checked.

So, it seems we're no longer crashing, but now the backlight manager is more annoying than Vista! Still, progress in the right direction :)

smoosh (lolomcdoo) wrote :

An easy workaround for the annoying gnome-power-backlight-helper popup is:

killall gnome-power-manager && sudo gnome-power-manager

Assuming that doesn't creat any crazy security vulnerabilities or any thing like that....

MrMacman2u (mrmacman2u-gmail) wrote :

Yeah, I used the same method to "band-aid" the problem, but I still suspect that the underlying issue (whatever it may be as I'm not a developer) needs to be sorted out ;)

uGin (nizhibitsky) on 2010-08-24
Changed in gnome-power-manager (Ubuntu):
status: Fix Released → Fix Committed
Chris Coulson (chrisccoulson) wrote :

nizhibitsky, please don't change the status of the bug without leaving an explanation why

Changed in gnome-power-manager (Ubuntu):
status: Fix Committed → Fix Released
Download full text (3.3 KiB)

just thought it was history_of_this_bug_statuses-watching button, not so sudo-asking-like-managing one, sry =)

24.08.2010, 14:39, "Chris Coulson" <email address hidden>:
> nizhibitsky, please don't change the status of the bug without leaving
> an explanation why
>
> ** Changed in: gnome-power-manager (Ubuntu)
>        Status: Fix Committed => Fix Released
>
> --
> gnome-power-manager crashed with signal 5 in _XError()
> https://bugs.launchpad.net/bugs/614039
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gnome Powermanager: New
> Status in “gnome-power-manager” package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> hewett@cambridge:~$ lsb_release -rd
> Description: Ubuntu maverick (development branch)
> Release: 10.10
>
> hewett@cambridge:~$ apt-cache policy gnome-power-manager
> gnome-power-manager:
> Installed: 2.30.1-1ubuntu3
> Candidate: 2.30.1-1ubuntu3
> Version table:
> *** 2.30.1-1ubuntu3 0
> 500 http://de.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.10
> Package: gnome-power-manager 2.30.1-1ubuntu3
> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
> Uname: Linux 2.6.35-14-generic x86_64
> Architecture: amd64
> Date: Thu Aug 5 22:49:07 2010
> ExecutablePath: /usr/bin/gnome-power-manager
> GConfNonDefault:
> /apps/gnome-power-manager/lock/blank_screen=false
> /apps/gnome-power-manager/lock/use_screensaver_settings=false
> /apps/gnome-power-manager/notify/sleep_failed_uri=
> /apps/gnome-power-manager/ui/icon_policy=charge
> GnomeSessionIdleInhibited: No
> GnomeSessionInhibitors: None
> GnomeSessionSuspendInhibited: No
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
> MachineType: System manufacturer System Product Name
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=0d4df651-5a43-4b4f-bef0-e74e703af74d ro nomodeset noplymouth vga=normal
> ProcCmdline: gnome-power-manager
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> Signal: 5
> SourcePackage: gnome-power-manager
> StacktraceTop:
> ?? () from /usr/lib/libgdk-x11-2.0.so.0
> _XError () from /usr/lib/libX11.so.6
> _XReply () from /usr/lib/libX11.so.6
> ?? () from /usr/lib/libXrandr.so.2
> ?? ()
> Title: gnome-power-manager crashed with signal 5 in _XError()
> UserGroups: adm admin audio cdrom dialout lpadmin mythtv plugdev sambashare video
> dmi.bios.date: 01/07/2010
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0602
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: M4A785TD-V EVO
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev X.0x
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0602:bd01/07/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A785TD-VEVO:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: System Product Name
> dmi.product.version: System Version
> dmi.sys.ven...

Read more...

Jarkko Kniivilä (jkniiv) wrote :
Download full text (6.7 KiB)

The update indeed fixed my problem. I hav my laptop set on AC power
due to a shoddy battery so that's probably why I'm not seeing the
authentication needed dialog. Thanks guys for an outstanding job. :)

On Tue, Aug 24, 2010 at 17:32, uGin <email address hidden> wrote:
> just thought it was history_of_this_bug_statuses-watching button, not so
> sudo-asking-like-managing one, sry =)
>
> 24.08.2010, 14:39, "Chris Coulson" <email address hidden>:
>> nizhibitsky, please don't change the status of the bug without leaving
>> an explanation why
>>
>> ** Changed in: gnome-power-manager (Ubuntu)
>>        Status: Fix Committed => Fix Released
>>
>> --
>> gnome-power-manager crashed with signal 5 in _XError()
>> https://bugs.launchpad.net/bugs/614039
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Gnome Powermanager: New
>> Status in “gnome-power-manager” package in Ubuntu: Fix Released
>>
>> Bug description:
>> Binary package hint: gnome-power-manager
>>
>> hewett@cambridge:~$ lsb_release -rd
>> Description: Ubuntu maverick (development branch)
>> Release: 10.10
>>
>> hewett@cambridge:~$ apt-cache policy gnome-power-manager
>> gnome-power-manager:
>> Installed: 2.30.1-1ubuntu3
>> Candidate: 2.30.1-1ubuntu3
>> Version table:
>> *** 2.30.1-1ubuntu3 0
>> 500 http://de.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
>> 100 /var/lib/dpkg/status
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 10.10
>> Package: gnome-power-manager 2.30.1-1ubuntu3
>> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
>> Uname: Linux 2.6.35-14-generic x86_64
>> Architecture: amd64
>> Date: Thu Aug 5 22:49:07 2010
>> ExecutablePath: /usr/bin/gnome-power-manager
>> GConfNonDefault:
>> /apps/gnome-power-manager/lock/blank_screen=false
>> /apps/gnome-power-manager/lock/use_screensaver_settings=false
>> /apps/gnome-power-manager/notify/sleep_failed_uri=
>> /apps/gnome-power-manager/ui/icon_policy=charge
>> GnomeSessionIdleInhibited: No
>> GnomeSessionInhibitors: None
>> GnomeSessionSuspendInhibited: No
>> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
>> MachineType: System manufacturer System Product Name
>> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-14-generic root=UUID=0d4df651-5a43-4b4f-bef0-e74e703af74d ro nomodeset noplymouth vga=normal
>> ProcCmdline: gnome-power-manager
>> ProcEnviron:
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> Signal: 5
>> SourcePackage: gnome-power-manager
>> StacktraceTop:
>> ?? () from /usr/lib/libgdk-x11-2.0.so.0
>> _XError () from /usr/lib/libX11.so.6
>> _XReply () from /usr/lib/libX11.so.6
>> ?? () from /usr/lib/libXrandr.so.2
>> ?? ()
>> Title: gnome-power-manager crashed with signal 5 in _XError()
>> UserGroups: adm admin audio cdrom dialout lpadmin mythtv plugdev sambashare video
>> dmi.bios.date: 01/07/2010
>> dmi.bios.vendor: American Megatrends Inc.
>> dmi.bios.version: 0602
>> dmi.board.asset.tag: To Be Filled By O.E.M.
>> dmi.board.name: M4A785TD-V EVO
>> dmi.board.vendor: ASUSTeK Computer INC.
>> dmi.board.version: Rev X.0x
>> dmi.chassis.asset.tag: Asset-1234567890
>> dmi.chassis.type: 3
>> dmi.chassis.vendor: Chassis Manufac...

Read more...

This bug is definitely not solved. The solution using gksudo (or something similar) is really a pain. Everytime my laptop's backlight changes an authentication dialog is popping up. That should be solved in a more "elegant" way (is it even possible without root privileges?!)

Cheers.

Chris Coulson (chrisccoulson) wrote :

This bug is about gnome-power-manager crashing, which is solved. The issue you describe is a completely separate issue (bug 615047, which was also fixed yesterday)

Changed in gnome-power:
status: New → In Progress

@Chris: Thought the gnome-power-backlight would be interconnected with the gnome-power-manager. Thanx for clarifying this.

And everything works again like a charm ^_^

MrMacman2u (mrmacman2u-gmail) wrote :

Yup, everything is golden!

gnome-power-manager is working AND gnome-power-backlight is behaving normally!

Looks like whatever action has been taken has resolved this bug!

Changed in gnome-power:
importance: Unknown → Critical
Changed in gnome-power:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.